<?php
  $category = get_the_category( get_the_ID() );
?>
<div class="grid-item">
  <div class="grid-pic">
    <a href="<?php the_permalink(); ?>">
      <span class="item-mask"></span>
      <div class="item-pic" data-background="<?= get_the_post_thumbnail_url(); ?>"></div>
    </a>
  </div>
  <div class="grid-item-content">
    <div class="item-data">
      <div class="item-date">
        <span class="item-date-top">
          <?= get_the_date("d", get_the_ID()); ?>
        </span>
        <span class="item-date-bottom">
          <?= get_the_date("M Y", get_the_ID()); ?>
        </span>
      </div>
      <div class="item-title">
        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
      </div>
    </div>
    <div class="item-text">
      <a href="<?php the_permalink() ?>">
        <p><?php the_excerpt() ?></p>
      </a>
    </div>
    <div class="item-navigation">
      <a class="read-more" href="<?php the_permalink(); ?>">Read more</a>
    </div>
  </div>
</div>