// Параллакс
(function prlx(){
  var prlxTarget = document.querySelectorAll('.parallax_item');


  $(window).on('scroll', function() {

  var scrollTop = $(window).scrollTop();
  var screenWidth = $(window).outerWidth()
  var frontier = 1440
  var condition = screenWidth > frontier

  if ( !condition ) {
    return
  } else {
    // Получаю атрибуты элементов (будут влиять на скорость параллакса)
    for ( var i = 0; i < prlxTarget.length; i++ ) {
      var prlxItemAttr = $(prlxTarget).eq(i).attr('data-speed') || .5;

      goParallax({
        targetObject: $(prlxTarget).eq(i),
        speed: prlxItemAttr
      })

    }
  }

  function goParallax(options) {

    var prlxTarget = options.targetObject;
    var prlxSpeed = options.speed;
    var step = scrollTop * (-prlxSpeed);

    var moveTo = prlxTarget.offset().top + step;

    for ( var j = 0; j < prlxTarget.length; j++ ) {

      prlxTarget.css({
        "transform": "translateY(" + step + "px)"
      })
    }
  }
  });

})();
