var gulp        = require('gulp');
var browserSync = require('browser-sync').create();
var sass        = require('gulp-sass');
var sourcemaps = require('gulp-sourcemaps');
var autoprefixer = require('gulp-autoprefixer');
var cleanCSS = require('gulp-clean-css');
var imagemin = require('gulp-imagemin');
var concat = require('gulp-concat');
var rename = require("gulp-rename");

var paths = {

  src_sass: './sass/*.sass',
  dist_sass: '../css',

  // src_scripts: ['src/js/*.js', '!src/js/main.js'],
  // dist_scripts: ['src/js', 'dist/js'],

  // src_minify_css: ['dist/css/*.css', '!dist/css/*.min.css'],
  // dist_minify_css: 'dist/css',

  // src_minify_js: ['dist/js/*.js', '!dist/js/*.min.js'],
  // dist_minify_js: 'dist/js',

  // src_images_min: 'src/images/**/*',
  // dist_images_min: 'dist/images',

};

gulp.task('sass', function () {
  return gulp.src(paths.src_sass)
      .pipe(sourcemaps.init())
      .pipe(sass({ outputStyle: 'extended' }).on('error', sass.logError))
      .pipe(autoprefixer({}))
      .pipe(sourcemaps.write())
    .pipe(gulp.dest(paths.dist_sass));
});

gulp.task('watch', function () {
  gulp.watch('sass/**/*.sass', gulp.series('sass'));
});