
<?php get_header(); ?>
  <div class="blog-list blog-list__main">
    <div class="container" id="ajax-posts">
      <div class="blog-list__content">
        <div class="blog-list__item-wrap_first blog-list__items-wrap">

          <div class="blog-list__item blog-list__item_first">
            <a href="<?php the_permalink(); ?>">
            <div class="blog-list__item-img-wrap blog-list__item-img-wrap_first">
              <img class="blog-list__item-img" alt="" src="<?= get_the_post_thumbnail_url(); ?>">
            </div>
            <div class="blog-list__item-content blog-list__item-content_first blog-list__check-text">

              <div class="blog-list__date-wrap">
                <span>
                <?php
                  $LettersPerMinute = 1500; // The average speed of reading letters per minute
                  $postContent = get_post_field('post_content', $post_id);
                  $postLength = strlen($postContent);
                  $postLength = $postLength  / $LettersPerMinute;
                  echo round($postLength);
                ?>
                  min read
                </span>
                <span class="item-date-top blog-list__hour">
                  <?= get_the_date("d", get_the_ID()); ?>
                </span>
                <span class="item-date-bottom">
                  <?= get_the_date("M Y", get_the_ID()); ?>
                </span>
              </div>

              <div class="blog-list__item-title-wrap blog-list__item-title-wrap_first" href="<?php the_permalink(); ?>">
                <h2 class="blog-list__item-title"><?php the_title(); ?></h2>
              </div>
              <div class="blog-list__item-text" href="<?php the_permalink() ?>">
                <?php the_excerpt() ?>
              </div>
            </div>
            </a>
          </div>

        </div>

        <div class="blog-list__items-wrap">

          <?php
          $i = 0;
          $postOffset = 1;
          $maxPostEcho = $postOffset + 9;
          ?>

          <?php while($i < $maxPostEcho):the_post(); ?>
          <?php $i++; ?>

          <?php
            if ($i == $postOffset) {
              continue;
            }
          ?>

          <div class="blog-list__item blog-list__main-item">
            <a href="<?php the_permalink(); ?>">
              <div class="blog-list__item-img-wrap">
                <img class="blog-list__item-img" alt="" src="<?= the_post_thumbnail_url( 'medium_large' ); ?>">
              </div>
              <div class="blog-list__item-content blog-list__check-text">
                <div class="blog-list__date-wrap">
                  <span>
                      <?php
                        $LettersPerMinute = 1500; // The average speed of reading letters per minute
                        $postContent = get_post_field('post_content', $post_id);
                        $postLength = strlen($postContent);
                        $postLength = $postLength  / $LettersPerMinute;
                        echo round($postLength);
                      ?>
                      min read
                  </span>
                  <span>
                    <?= get_the_date("M Y", get_the_ID()); ?>
                  </span>
                </div>
                <div class="blog-list__item-title-wrap">
                  <h2 class="blog-list__item-title"><?php the_title(); ?></h2>
                </div>
                <div class="blog-list__item-text" href="<?php the_permalink() ?>">
                  <?php the_excerpt() ?>
                </div>
              </div>
            </a>
          </div>

        <?php endwhile; ?>

        </div>

        <?php
          echo do_shortcode('[ajax_load_more offset="10" pause = "true" css_classes="blog-list__items-wrap" post_type="post" posts_per_page="9" scroll="false" button_label="Load more articles" nested="true" post_type="post" transition_container="false"]');
        ?>

      </div>
    </div>
  </div>
<?php get_footer(); ?>